curl --request POST \
--url https://api.anchorbrowser.io/v1/batch-sessions \
--header 'Content-Type: application/json' \
--header 'anchor-api-key: <api-key>' \
--data '
{
"count": 10,
"configuration": {
"browser": {
"headless": {
"active": true
},
"viewport": {
"width": 1440,
"height": 900
}
},
"session": {
"timeout": {
"idle_timeout": 10,
"max_duration": 300
}
}
}
}
'{
"data": {
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"total_requests": 123,
"created_at": "2023-11-07T05:31:56Z"
}
}Batch Sessions
Create Batch Sessions
Creates multiple browser sessions in a single batch operation. This endpoint allows you to create up to 5,000 browser sessions simultaneously with the same configuration.
The batch will be processed asynchronously, and you can monitor progress using the batch status endpoint.
POST
/
v1
/
batch-sessions
curl --request POST \
--url https://api.anchorbrowser.io/v1/batch-sessions \
--header 'Content-Type: application/json' \
--header 'anchor-api-key: <api-key>' \
--data '
{
"count": 10,
"configuration": {
"browser": {
"headless": {
"active": true
},
"viewport": {
"width": 1440,
"height": 900
}
},
"session": {
"timeout": {
"idle_timeout": 10,
"max_duration": 300
}
}
}
}
'{
"data": {
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"total_requests": 123,
"created_at": "2023-11-07T05:31:56Z"
}
}Authorizations
API key for your Anchor Browser account, sent as the anchor-api-key header on every
request. Create one at app.anchorbrowser.io (API Access),
or obtain one programmatically via the unauthenticated agent-access flow
(POST /v1/agent-access).
Body
application/json
Response
Batch created successfully
Show child attributes
Show child attributes
Was this page helpful?

